Debian Bug report logs - #367006
RM: ri -- RoM; ruby1.6 removal, RC buggy

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Stefan Huehner <stefan@huehner.org>

Date: Fri, 12 May 2006 19:03:09 UTC

Severity: serious

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Fumitoshi UKAI <ukai@debian.or.jp>:
Bug#367006; Package ri. Full text and rfc822 format available.

Acknowledgement sent to Stefan Huehner <stefan@huehner.org>:
New Bug report received and forwarded. Copy sent to Fumitoshi UKAI <ukai@debian.or.jp>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Huehner <stefan@huehner.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ri: Please consider removing the package in the ruby1.6 -> ruby1.8 transition
Date: Fri, 12 May 2006 20:46:31 +0200
Package: ri
Severity: minor


Hi,
ruby1.6 is scheduled to be dropped from the archive before the release
of etch [1].
Please consider removing the ri1.6 package. I'dont know if the ri-cs-el
and ri-db-el packages have an equivalent or replacement in ruby1.8?
If they don't those need to be ported or the entire source package ri
could be removed.

Regards,
Stefan

[1]	http://wiki.debian.org/RemoveRuby16

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-amd64-k8-smp
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Bug reassigned from package `ri' to `ftp.debian.org'. Request was from akira yamada <akira@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from akira yamada <akira@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#367006; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #20 received at 367006@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Stefan Huehner <stefan@huehner.org>, 367006@bugs.debian.org
Cc: Akira Yamada <akira@debian.org>, Esteban Manchado Velázquez <zoso@debian.org>, Michael Ablassmeier <abi@debian.org>, Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: ri: Please consider removing the package in the ruby1.6 -> ruby1.8 transition
Date: Sat, 5 Aug 2006 15:55:35 +0200
tags 367006 moreinfo
thanks

On Fri, May 12, 2006 at 08:46:31PM +0200, Stefan Huehner wrote:
> Hi,
> ruby1.6 is scheduled to be dropped from the archive before the release
> of etch [1].
> Please consider removing the ri1.6 package. I'dont know if the ri-cs-el
> and ri-db-el packages have an equivalent or replacement in ruby1.8?
> If they don't those need to be ported or the entire source package ri
> could be removed.

Later, the maintainer of ri (akira) requested removal. However:
libihelp-ruby1.8 still depends on 'ri', and would be broken by this.

What to do?

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#367006; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Stefan Huehner <stefan@huehner.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #27 received at 367006@bugs.debian.org (full text, mbox):

From: Stefan Huehner <stefan@huehner.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 367006@bugs.debian.org, Akira Yamada <akira@debian.org>, Esteban Manchado Velázquez <zoso@debian.org>, Michael Ablassmeier <abi@debian.org>, Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: ri: Please consider removing the package in the ruby1.6 -> ruby1.8 transition
Date: Sat, 5 Aug 2006 17:23:37 +0200
On Sat, Aug 05, 2006 at 03:55:35PM +0200, Jeroen van Wolffelaar wrote:
> tags 367006 moreinfo
> thanks
> 
> On Fri, May 12, 2006 at 08:46:31PM +0200, Stefan Huehner wrote:
> > Hi,
> > ruby1.6 is scheduled to be dropped from the archive before the release
> > of etch [1].
> > Please consider removing the ri1.6 package. I'dont know if the ri-cs-el
> > and ri-db-el packages have an equivalent or replacement in ruby1.8?
> > If they don't those need to be ported or the entire source package ri
> > could be removed.
> 
> Later, the maintainer of ri (akira) requested removal. However:
> libihelp-ruby1.8 still depends on 'ri', and would be broken by this.
> 
> What to do?

This should not be a problem. Explanation follows:

The source pacakeg "ri" which is to be removed provides the binary
pacakge ri1.6 and noch binary package named "ri".

The binary package "ri" is built from the source "ruby-defaults".

So the dependency from libihelp-ruby1.8 is still valid and can be
satisfied.

Regards,
Stefan




Tags removed: moreinfo Request was from Filipus Klutiero <chealer@vif.com> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `minor' Request was from Filipus Klutiero <chealer@vif.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Filipus Klutiero <chealer@vif.com> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 378111 added: 367006 Request was from Filipus Klutiero <chealer@vif.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Stefan Huehner <stefan@huehner.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 367006-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 367006-close@bugs.debian.org
Cc: ri@packages.debian.org, ri@packages.qa.debian.org
Subject: Bug#367006: fixed
Date: Sun, 13 Aug 2006 08:18:53 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

        ri |     0.7a-6 | source
  ri-cs-el |     0.7a-6 | all
  ri-db-el |     0.7a-6 | all
     ri1.6 |     0.7a-6 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367006@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 12:01:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:29:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.